Subject: bug#74204: closed (Re: [bug#74112] bug#74204: Guix is not reproducible)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Nov 2024 15:26:03 +0000

Your bug report

#74204: Guix is not reproducible

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74204: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74204
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#74112] bug#74204: Guix is not reproducible
From: Hilton Chain <[email-masked]>
To: Jakob Kirsch <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 05 Nov 2024 23:25:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello again,

On Tue, 05 Nov 2024 18:31:04 +0800,
Hilton Chain via Guix-patches via wrote:
>
> Hi Jakob,
>
> On Tue, 05 Nov 2024 02:38:34 +0800,
> Jakob Kirsch via Bug reports for GNU Guix wrote:
> >
> > I've recently noticed that `guix challenge guix` fails since guix isn't
> > reproducible at the moment. As someone pointed out on XMPP, this is due to
> > parallelism issues with Guile so running `guix build guix --no-grafts
> > --cores=1 --check` reliably produces the same output.
> >
> > I've sent a simple patch in #74112 to address this and I think this is
> > important since the main guix package should definitely be reproducible so it
> > can be trusted.
>
> I can confirm the reproducibility issue.
>
> I have two x86_64-linux machines building guix to verify the fix, I'll apply
> your patch once they produce matching outputs.

Took me quite a while to build 5 rounds. :)

--8<---------------cut here---------------start------------->8---
$ guix hash --serializer=nar /gnu/store/fs7x07jfn7igpkwv3alrs9by21q70y13-guix-1.4.0-26.5ab3c4c
0kh87wb4qn97kwzrf4igal71cjvv143j6jr2y3dwfzcy1madj1ll
--8<---------------cut here---------------end--------------->8---

Applied #74112 as 4c56d0cccdc44e12484b26332715f54768738c5f, thanks!

Subject: Guix is not reproducible
From: Jakob Kirsch <[email-masked]>
To: [email-masked]
Date: Mon, 4 Nov 2024 19:38:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I've recently noticed that `guix challenge guix` fails since guix isn't reproducible at the moment. As someone pointed out on XMPP, this is due to parallelism issues with Guile so running `guix build guix --no-grafts --cores=1 --check` reliably produces the same output.

I've sent a simple patch in #74112 to address this and I think this is important since the main guix package should definitely be reproducible so it can be trusted.